#!/usr/bin/perl

use Foundation;
use lib "/Library/Xhooks/Modules";
require "xhooks/lib/perlplist.pl";

@SUPER_DEFAULTS = (

#---------------------------------------------
# Safari mac user prefs
#"/Users/mac/Library/Preferences/com.apple.Safari.plist AddressBarIncludesHome -b true"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist AddressBarIncludesReportBug -b true"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist AlwaysShowTabBar -b true"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist AutoFillFromAddressBook -b false"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist AutoFillMiscellaneousForms -b false"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist OpenNewTabsInFront -b true"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist ShowStatusBar -b true"
#"/Users/mac/Library/Preferences/com.apple.Safari.plist TabbedBrowsing -b true"

###"/Users/mac/Library/Preferences/com.apple.Safari.plist AutoOpenSafeDownloads -b false"

###"/Users/mac/Library/Preferences/com.apple.Safari.plist DownloadsPath -s /Volumes/Home/Downloads"
###"/Users/mac/Library/Preferences/com.apple.Safari.plist IncludeDebugMenu -s 1"

###"/Users/mac/Library/Preferences/com.apple.Safari.plist RecentSearchStrings -a 0 -s searchy"

###"/Users/mac/Library/Preferences/com.apple.Safari.plist WebKitJavaScriptCanOpenWindowsAutomatically -b false"

#---------------------------------------------
# Terminal settings mac user
#"/Users/mac/Library/Preferences/com.apple.Terminal.plist "

#StartupFile -s ~/Library/Application Support/Terminal/terminal_defaults.term
#OptionClickToMoveCursor -s YES
####TextColors -s 0.502 1.000 0.000 0.200 0.200 0.200 0.502 1.000 0.000 0.502 1.000 0.000 0.200 0.200 0.200 0.502 1.000 0.000 0.000 0.502 1.000 1.000 0.000 0.000 </string>

#TitleBits -s 104
#TitleBits -s 42 -- james

#---------------------------------------------
# Mac user dock
#"/Users/mac/Library/Preferences/com.apple.dock.plist persistent-apps -a 0 -d tile-data -d file-data -d _CFURLString /Applications/Utilities/Activity Monitor.app"

#---------------------------------------------
# Mouse prefs for Mighty Mouse
#"/Users/mac/Library/Preferences/com.apple.driver.AppleHIDMouse.plist Button2 -i 2"
##"/Users/mac/Library/Preferences/com.apple.driver.AppleHIDMouse.plist Button3 -i 3"
##"/Users/mac/Library/Preferences/com.apple.driver.AppleHIDMouse.plist Button4 -i 4"
##"/Users/mac/Library/Preferences/com.apple.driver.AppleHIDMouse.plist ButtonDominance -i 1"

#---------------------------------------------
# I'm not sure... this file is dubious
#"/Users/mac/Library/Preferences/com.apple.internetconfig.plist "

#---------------------------------------------
# X11 obviously
#"/Users/mac/Library/Preferences/com.apple.x11.plist "

#---------------------------------------------
# Internet connect 
#"/Users/mac/Library/Preferences/com.apple.internetconfig.plist "

#---------------------------------------------
# Finder
#"/Users/mac/Library/Preferences/com.apple.finder.plist AlwaysOpenWindowInColumnView -b true"
#"/Users/mac/Library/Preferences/com.apple.finder.plist AnimateSnapToGrid -b true"
#"/Users/mac/Library/Preferences/com.apple.finder.plist GoToField -s /var/radmind/client"
#"/Users/mac/Library/Preferences/com.apple.finder.plist NewWindowTargetIsHome -b true"
#"/Users/mac/Library/Preferences/com.apple.finder.plist tool-bar-view-0style -s 2"



);

if ( -f "/Library/Preferences/Xhooks/edu.utah.scl.radmind_xhooks_conf.perl" ) {
  use lib "/Library/Preferences/Xhooks";
  require "edu.utah.scl.radmind_xhooks_conf.perl";
}

foreach $super_default ( @SUPER_DEFAULTS ) {

  print "$super_default\n";

  @params = split '\s', $super_default;

  my $filename = shift @params;
  
  print "file $filename\n";
	
  my $dict;
  if ( -e $filename ) {
	$dict = loadDefaults( $filename );
  } else {
	print "The file $filename does not exist, creating a new file.\n";
	$dict = NSMutableDictionary->dictionary();
  }
  
  setPlistObjectForce( $dict, \@params );
  
  printObject ($dict);
  
  saveDefaults( $dict, $filename );

}
