#!/usr/bin/perl

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

if ( ! defined $ARGV[0] ) {
  entman_logger ( "log drawer", "No username specified!" );
  exit 1;
}

$assimilate_user_script = "/Library/Xhooks/Modules/edu.utah.scl.home_folder/assimilateUser.pl";

my $theuser = $ARGV[0];

my $system_homefolder = ( getpwnam( $theuser ) ) [7];

if ( $system_homefolder eq $userHomeFolder or $system_homefolder eq $userHomeFolder . "/" ) {

    system $assimilate_user_script, $theuser;
  
} else {
  entman_logger ( "log drawer", "The home folder specified by entman is not the home folder specified by the system!" );
}

exit 0;
