#!/usr/bin/perl

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use Fcntl qw/O_WRONLY O_CREAT O_EXCL/;

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

################################################################################
# entman - modules/configure/PMD_home_folder.pl
#
# Creates menu bar prefs
# Creates loginwindow.plist (login items)
# Creates a link to the Logout app on the destkop
# Changes template folder permissions
# Starts on the template home folder cache
# Deletes com.apple.dockfixup.plist
#
# Goals for this script.
# 1. To do everything possible now, and not at login (I think this goal is met)
# 2. Be able to be run *anytime*, especially after download_overload changes
#    the home folder (have not worked on this goal)
#
################################################################################

entman_logger ( "log drawer", "Starting home folder stuff." );

################################################################################
# Make an empty home directory so that OS X doesn't try to create one for us.
#

mkdir $userHomeFolder if ! -e $userHomeFolder;

exit 0;
