#!/usr/bin/perl

# This script is simple.  It searches a directory for a dir that is named the 2 digits of the month
# then the two digits of the day.  If it is there, it uses it.
#
# Some of these special dates are based on day of week, like Sys Admin day is the last Friday in
# July.  So it should always have month+day+year, like "07.27.2007".  I put year at the end so that 
# it sorts in with the other dates (without years) nicely.

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

my $qtplay = "/usr/local/bin/qtplay";
my $dir_to_search = "/Library/Preferences/Xhooks/edu.utah.scl.loginsounds/dated_material/";

my @login_sounds = get_rand_items_in_dated_folder_for_path( $dir_to_search, 2 );
my $command = "";
foreach my $ii ( @login_sounds ) {
  $command .= "\"$qtplay\" \"$ii\" && ";
}
$command = substr ( $command, 0, -2 );
if ( $command ne "" ) {
  system $command;
}
