#!/usr/bin/perl

################################################################################
# Copyright (c) 2008 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

$location_of_ncutil = "/usr/sbin/ncutil"; # version 3.1.2

################################################################################
# Turn on AppleTalk
if ( -e $location_of_ncutil ) {
  entman_logger ( "log drawer", "Turning on AppleTalk." );
  system "\"$location_of_ncutil\" setprop \"/Automatic/Built-in Ethernet/AppleTalk\" method Node";
  system "\"$location_of_ncutil\" --apply-on-exit destroyprop \"/Automatic/Built-in Ethernet/AppleTalk\" inactive";

} else {
  entman_logger ( "log drawer", "ERROR: $location_of_ncutil is missing." );
}
