sub create_home_folder {
  my ($newfolder) = @_;
  #######################
  # Create the folder
  # create it in /tmp and move it to avoid incomplete copies that would result if 
  # this script were interupted (force restarted mac...)
  if ( ! -e $template_homefolder ) {
    entman_logger ( "log", "template_homefolder $template_homefolder is missing..." );
    return;
  }
  system "ditto", "-rsrcFork", "$template_homefolder", "$newfolder";
  system "$entman_folder/bin/SetFile", "-a", "v", "$newfolder";

  #######################
  # do other mods
#  system "chflags uchg \"/$newfolder/Library/Preferences/com.apple.dock.plist\""; # don't need to do this if we remove com.apple.dockfixup.plist

  if ( -e "/$newfolder/Library/Preferences/dataComet Preferences" and $lock_datacomet_prefs_switch) {
#    system "chmod u+t \"$newfolder\""; 
#    system "chmod u+t \"$newfolder/Library\"";
#    system "chmod u+t \"$newfolder/Library/Preferences\""; 
#    system "chflags uchg \"$newfolder/Library/Preferences/dataComet Preferences\"";
  }

  $ms_office_fix = "$newfolder/Library/Preferences/Microsoft/Carbon Registration Database";
  if ( -e $ms_office_fix and $fix_office_configuring_components_switch) {
    system "$entman_folder/bin/SetFile", "-d", "$ms_office_carbon_reg_database_creation_date", "$ms_office_fix";
  }

  $ms_office_2004_fix = "$newfolder/Library/Preferences/Microsoft/OLE Registration Database 11";
  if ( -e $ms_office_2004_fix and $fix_office_configuring_components_switch) {
    system "$entman_folder/bin/SetFile", "-d", "$ms_office_2004_creation_date", "$ms_office_2004_fix";
  }
}

1;
