#!/usr/bin/perl

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

################################################################################
# entman - modules
#
# killsumapps.pl
#
# This script kills apps for the user currently logged in.  There is an
# exclusion list so that it doens't quit apps you want running.  This script
# needs to know the username.  You can either pass it in as the first parameter,
# or if there is a user logged in, this script will get it.  If the Mac is logged
# out and nothing is passed in, this script will exit.
#
################################################################################

if ( defined $ARGV[0] and $ARGV[0] ne $adminusername ) {
  system "\"$killsumapps_script\" $theuser";
}
