#!/usr/bin/perl

################################################################################
# Copyright (c) 2005 University of Utah Student Computing Labs.
# All Rights Reserved.
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appears in all copies and
# that both that copyright notice and this permission notice appear
# in supporting documentation, and that the name of The University
# of Utah not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. This software is supplied as is without expressed or
# implied warranties of any kind.
################################################################################

use lib "/Library/Xhooks/Modules/";
require "xhooks/lib/config.pl";

use lib "/etc/entman/conf/";
require "entman_config.pl";

get rid of this file:

require "secure/hide_folders_files_conf.pl";

if ( ! defined $ARGV[0] ) {
  entman_logger ( "log drawer", "No username specified!" );
  exit 1;
}

my $theuser = $ARGV[0];
my $hideme = 1;
my $ur_shpeshal;

foreach $ur_shpeshal ( @users_who_see_all ) {
  if ( $theuser eq $ur_shpeshal ) {
    $hideme = 0;
    last;
  }
}

if ( $hideme ) {
  restrict_folders_files();
  hide_folders_files( @hide_folders_files );
} else {
  unrestrict_folders_files();
  unhide_folders_files( @hide_folders_files );
}

foreach $ur_shpeshal ( @users_who_can_launch_ard ) {
  if ( $theuser eq $ur_shpeshal ) {
#    unhide_folders_files( ( "/System/Library/PreferencePanes/SharingPref.prefPane" ) );
    chmod 0755, "/System/Library/PreferencePanes/SharingPref.prefPane";
    last;
  }
}
