$logger = "/usr/bin/logger -is -p user.warn -t \"entman-`basename $0`\"";

sub entman_logger {
  ihook_logger(@_);
}

sub ihook_logger {
  my ( $where, $message ) = @_;
  if ( defined $where ) {
    if ( grep /drawer/, $where or grep /stderr/, $where ) {
      print STDERR "$message\n";
    }
    if ( grep /log/, $where ) {
      system "$logger \"$message\"";
    }
    if ( grep /window/, $where or grep /stdout/, $where ) {
      print "$message\n";
    }
  } else {
    system "$logger \"$message\"";
    print "$message\n";
  }
}

1;
